# Show_PolyEdge_XXX

## Functions

HIC_Point * | `HIC_Show_Polyedge_Points`
HIC_Vector * | `HIC_Show_Polyedge_Vertex_Normals`
int * | `HIC_Show_Polyedge_Lengths`
HIC_Parameter * | `HIC_Show_Polyedge_Vertex_Parameters`
HIC_Integer32 | `HIC_Show_Polyedge_Vertex_Parameter_Width`
int | `HIC_Show_Polyedge_Findex_Color_Interpolation`
int * | `HIC_Show_Polyedge_Vertex_Indices`
int | `HIC_Show_Polyedge_Point_Count`
int | `HIC_Show_Polyedge_Edge_Count`
int | `HIC_Show_Polyedge_Strips`
int * | `HIC_Show_Polyedge_Edge_Indices`
HIC_RGB * | `HIC_Show_Polyedge_Edge_Colors`
HIC_Vector * | `HIC_Show_Polyedge_Edge_Normals`
HIC_RGB * | `HIC_Show_Polyedge_Vertex_Colors`
float * | `HIC_Show_Polyedge_Vertex_Findices`
int | `HIC_Show_Polyedge_Isoline_Index`

## Detailed Description

group Show_PolyEdge_XXX

## Function Documentation

HIC_Point *HIC_Show_Polyedge_Points(HIC_Polyedge *pe)

  This function returns polyedge points.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A pointer to a const HIC_Point.

HIC_Vector *HIC_Show_Polyedge_Vertex_Normals(HIC_Polyedge *pe)

  This function returns polyedge vertex normals.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A pointer to a const HIC_Vector.

int *HIC_Show_Polyedge_Lengths(HIC_Polyedge *pe)

  This function returns polyedge lengths.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A const int pointer.

HIC_Parameter *HIC_Show_Polyedge_Vertex_Parameters(HIC_Polyedge *pe)

  This function returns polyedge vertex parameters.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A pointer to a const HIC_Parameter.

HIC_Integer32 HIC_Show_Polyedge_Vertex_Parameter_Width(HIC_Polyedge *pe)

  This function returns the polyedge vertex parameter width.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A HIC_Integer32.

int HIC_Show_Polyedge_Findex_Color_Interpolation(HIC_Polyedge *pe)

  This function returns polyedge findex color interpolation as a boolean.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A boolean.

int *HIC_Show_Polyedge_Vertex_Indices(HIC_Polyedge *pe)

  This function returns polyedge vertex indices.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A const int pointer.

int HIC_Show_Polyedge_Point_Count(HIC_Polyedge *pe)

  This function returns the number of points in a polyedge as an int.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    An int.

int HIC_Show_Polyedge_Edge_Count(HIC_Polyedge *pe)

  This function returns the number of edges in a polyedge as an int.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    An int.

int HIC_Show_Polyedge_Strips(HIC_Polyedge *pe)

  This function returns polyedge strips as an int.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    An int.

int *HIC_Show_Polyedge_Edge_Indices(HIC_Polyedge *pe)

  This function returns polyedge edge indices.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A const int pointer.

HIC_RGB *HIC_Show_Polyedge_Edge_Colors(HIC_Polyedge *pe)

  This function returns edge colors of a HOOPS polyedge data structure.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A pointer to a const HIC_RGB, a structure of three floats, each between zero and one.

HIC_Vector *HIC_Show_Polyedge_Edge_Normals(HIC_Polyedge *pe)

  This function returns polyedge edge normals.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A pointer to a const HIC_Vector.

HIC_RGB *HIC_Show_Polyedge_Vertex_Colors(HIC_Polyedge *pe)

  This function returns polyedge vertex colors.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A pointer to a const HIC_RGB, a structure of three floats, each between zero and one.

float *HIC_Show_Polyedge_Vertex_Findices(HIC_Polyedge *pe)

  This function returns polyedge vertex findices.

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    A pointer to a const float.

int HIC_Show_Polyedge_Isoline_Index(HIC_Polyedge *pe)

  This function returns the isoline index (-1 for non-isoline poledges).

  Parameters

    pe – A pointer to a const HIC_Polyedge.

  Returns

    An integer.